
Application: gvSIG desktop - gvSIG bugs #5617
Planes de topología
04/07/2021 01:47 PM - Victor  Montes Camara

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category:
Target version: 2.6.0-3220
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown
Description

He creado un plan de topología para controlar que una capa de centroides caigan siempre dentro de un polígono para aplicar en la
capa CENTROIDE_MUNICIPIO sobre LIMTE_MUNICIPAL.
Si ejecuto el plan de topología me detecta los errores (elementos no contenidos en un polígono).
He añadido la topología a un proyecto con VCSGIS siguiendo el manual, pero me deja hacer commit de elementos que no cumplen
el plan de topología sin mostrar ningún tipo de aviso ni error.

Associated revisions
Revision 3637 - 04/20/2021 12:56 PM - Francisco Díaz Carsí

refs #5617 added methods to set TopologyServices in topology plans and their data sets

Revision 3638 - 04/20/2021 01:14 PM - Francisco Díaz Carsí

refs #5617 Fixed execution and updating of topological plans.

Revision 3685 - 04/21/2021 11:22 AM - Francisco Díaz Carsí

refs #5617 Added button to execute topology plan of selected entity in local changes tab of changes dialog

History
#1 - 04/12/2021 10:30 AM - Joaquín  del Cerro Murciano
- Hito set to Fase 01
- Target version set to 2.6.0-3219
- Assignee set to Francisco Díaz Carsí

#2 - 04/12/2021 12:50 PM - Joaquín  del Cerro Murciano

Los planes de topologia solo se descargan al cliente al hacer el checkout.
Una vez hecho el checkout, cuando se hace un commit o un update no se actualiza la tabla de planes de topologia. Esto puede ocasionar que se
haya actualizado un plan de topologia en el repositorio despues que usuarios ya se lo hayan descargado, o incluso que usuarios hayan hecho un
checkout antes de asignar un plan de topologia a una tabla. Si pasa eso el usuario no sera consciente de que la tabla tiene el plan de topoloia
desfasado o incluso de que tiene un plan de topologia asociado a la tabla que esta haciendo commit y no intentara pasar el plan de topologia.
Los cambios a realizar serian:
    -  Al hacer el commit que se envie el TopologyPlanHashCode del plan de topologia asociada a la tabla que el cliente tiene en local. Si la entidad en
el repositorio tiene asignado un plan de topologia y el hash code de este es distinto del hash code del plan enviado por el cliente el commit falla.

    -  Preparar un mecanismo similar al que tiene el checkout para actualizar, en caso de que sea necesario, la tabla de planes de topologia local al
hacer un update (de paso actualizar la tabla de usuarios).

#3 - 04/20/2021 07:05 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#4 - 04/20/2021 06:41 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

#5 - 04/23/2021 03:20 PM - Victor  Montes Camara

Si se crea un plan de topología sobre una tabla después de hacer el checkout de la tabla y se crean elementos que no pasan el plan de topología, al
intentar hacer el commit la primera vez falla, pero no muestra ningún mensaje. La segunda vez sí ejecuta el plan de topología.
Sería deseable que lo ejecutara a la primera o, al menos, que muestre un mensaje la primera vez que intenta hacer el commit y falla (porque el hash
code es distinto)

#6 - 04/27/2021 10:13 AM - Victor  Montes Camara
- Status changed from Fixed to Under review

#7 - 04/28/2021 06:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3219 to 2.6.0-3220

#8 - 04/28/2021 06:39 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3220 to 2.6.0-3219

#9 - 05/14/2021 09:52 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3219 to 2.6.0-3220
- Status changed from Under review to Fixed

#10 - 05/19/2021 11:39 AM - Álvaro Anguix
- Status changed from Fixed to Closed
